from fixtures import *
from maildirclean.filedir import delete_all_from_selected_email, delete_files
from maildirclean.maildir import TopSender, parse_maildir


def test_deleted_from_selected_email(sample_email_dir):
    maildir = parse_maildir(sample_email_dir)
    delete_all_from_selected_email(
        [TopSender("test@something.org", [""], 2)], maildir, confirm=False
    )

    assert len(maildir._df) == 1
    assert maildir._df.iloc[0].email == "not_a_test@something.org"

    files = list(Path(sample_email_dir).glob("*"))
    assert len(files) == 1
    assert files[0] == Path(sample_email_dir) / "1"


def test_delete_files(sample_email_dir):
    file_list = list(Path(sample_email_dir).glob("*"))
    delete_files(file_list)

    for file in file_list:
        assert not Path(file).is_file()
